| Flutter Linux Embedder |

Public Types | Public Member Functions | List of all members
flutter::GpuSurfaceTexture Class Reference

`#include <texture_registrar.h>`

## Public Types
typedef std::function< const FlutterDesktopGpuSurfaceDescriptor *(size_t width, size_t height)> | ObtainDescriptorCallback

## Public Member Functions
| GpuSurfaceTexture (FlutterDesktopGpuSurfaceType surface_type, ObtainDescriptorCallback obtain_descriptor_callback)
const FlutterDesktopGpuSurfaceDescriptor * | ObtainDescriptor (size_t width, size_t height) const
FlutterDesktopGpuSurfaceType | surface_type () const

## Detailed Description

Definition at line 47 of file texture_registrar.h.

## Member Typedef Documentation

## ◆ ObtainDescriptorCallback

typedef std::function< const FlutterDesktopGpuSurfaceDescriptor*(size_t width, size_t height)> flutter::GpuSurfaceTexture::ObtainDescriptorCallback

Definition at line 52 of file texture_registrar.h.

## Constructor & Destructor Documentation

## ◆ GpuSurfaceTexture()

flutter::GpuSurfaceTexture::GpuSurfaceTexture | ( | FlutterDesktopGpuSurfaceType | surface_type,
|  | ObtainDescriptorCallback | obtain_descriptor_callback
| ) |  |
| inline

Definition at line 54 of file texture_registrar.h.

56 : surface_type_(surface_type),
57 obtain_descriptor_callback_(std::move(obtain_descriptor_callback)) {}
flutter::GpuSurfaceTexture::surface_type
FlutterDesktopGpuSurfaceType surface_type() const
Definition: texture_registrar.h:69

## Member Function Documentation

## ◆ ObtainDescriptor()

const FlutterDesktopGpuSurfaceDescriptor* flutter::GpuSurfaceTexture::ObtainDescriptor | ( | size_t | width,
|  | size_t | height
| ) |  | const
| inline

Definition at line 62 of file texture_registrar.h.

64 {
65 return obtain_descriptor_callback_(width, height);
66 }
height
const uint8_t uint32_t uint32_t * height
Definition: fl_pixel_buffer_texture_test.cc:39
width
const uint8_t uint32_t * width
Definition: fl_pixel_buffer_texture_test.cc:38

References height, and width.

Referenced by flutter::TextureRegistrarImpl::RegisterTexture().

## ◆ surface_type()

FlutterDesktopGpuSurfaceType flutter::GpuSurfaceTexture::surface_type | ( |  | ) | const
| inline

Definition at line 69 of file texture_registrar.h.

69 { return surface_type_; }

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/texture_registrar.h